# Workspaces

A workspace holds documents, members and teamspaces. An API token belongs to exactly one.

## Endpoints

- [List your workspaces](https://developers.lydie.co/api/workspaces/list-your-workspaces.md): `GET /v1/workspaces`
- [Create a workspace](https://developers.lydie.co/api/workspaces/create-a-workspace.md): `POST /v1/workspaces`
- [Rename a workspace](https://developers.lydie.co/api/workspaces/rename-a-workspace.md): `PATCH /v1/workspaces/{workspaceId}`
- [Transfer workspace ownership](https://developers.lydie.co/api/workspaces/transfer-workspace-ownership.md): `POST /v1/workspaces/{workspaceId}/transfer-ownership`

## The WorkspaceSummary object

- `id` (string, required): (1–64 chars)
- `name` (string, required)
- `role` (string, required): One of: `owner`, `admin`, `member`, `guest`.
- `createdAt` (timestamp, required)
- `updatedAt` (timestamp, required)

```json
{
  "id": "01JCQ3TZ0WJ8K4M2X7T9R6N1PA",
  "name": "Notes",
  "role": "owner",
  "createdAt": "2026-11-12T09:30:00.000Z",
  "updatedAt": "2026-11-12T09:30:00.000Z"
}
```
